This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 486891 - Corrupted font rendering on Radeon Mobility 9000
Corrupted font rendering on Radeon Mobility 9000
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 18:48 EST by Robert Hancock
Modified: 2009-11-09 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-09 19:06:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Corrupted font rendering (144.00 KB, image/png)
2009-02-22 18:48 EST, Robert Hancock
no flags Details
Xorg log file (64.98 KB, text/plain)
2009-02-27 21:01 EST, Robert Hancock
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 19363 None None None Never

  None (edit)
Description Robert Hancock 2009-02-22 18:48:37 EST
Created attachment 332885 [details]
Corrupted font rendering

Description of problem:
Text sometimes shows up with random dots or lines in it, especially in Firefox, on a Radeon Mobility 9000 chipset (Compaq Presario X1000 laptop). See attached screenshot.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.10.0-2.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. View pages in Firefox
2.
3.
  
Actual results:
Text has random dots or lines in it

Expected results:
Proper text rendering

Additional info:

-Setting Option "RenderAccel" "no" in xorg.conf works around the problem.

-I tested latest Xorg git a while ago and this problem did not seem to occur in that version. The Xorg driver ABI version has changed from the F10 Xorg version, though.

-I originally mentioned this under bug 444890 as it seemed to be a similar problem, however that one was marked as supposedly fixed. This particular problem is not fixed.
Comment 1 Matěj Cepl 2009-02-25 12:44:01 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Robert Hancock 2009-02-27 21:01:54 EST
Created attachment 333581 [details]
Xorg log file

This is my Xorg.0.log file. The problem occurs with no xorg.conf file (all default settings).
Comment 3 Matěj Cepl 2009-05-06 04:22:18 EDT
I think I see something similar on my wife's computer, except it happens without regards whether I use nomodeset or not (and not 100% reproducable, just happens sometimes).

Screenshot of the corruption is attachment 342608 [details]
/var/log/Xorg.0.log is attachment 342609 [details]
/var/log/dmesg is attachment 342610 [details]
/var/log/messages attachment 342611 [details]
/etc/X11/xorg.conf (quite minimal) is attachment 342613 [details]
Comment 4 Robert Hancock 2009-06-12 00:57:34 EDT
This bug no longer seems to occur in Fedora 11.
Comment 5 Robert Hancock 2009-11-09 19:06:26 EST
Marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.